import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("page_meta_cms")
export class PageMetaCmsEntity extends CoreEntity {
    @Column({ default: null, nullable: true, type: 'longtext' })
    signinPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    signinPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    signupPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    signupPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    homePageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    homePageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    shopPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    shopPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    productDetailsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    productDetailsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    cartPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    cartPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    dailyDealsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    dailyDealsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    jarsPlusPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    jarsPlusPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    aboutUsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    aboutUsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    articlesPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    articlesPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    articleDetailsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    articleDetailsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    pressReleasePageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    pressReleasePageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    pressReleaseDetailsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    pressReleaseDetailsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    contactUsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    contactUsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    faqPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    faqPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    careerPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    careerPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    careerDepartmentPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    careerDepartmentPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    careerDetailsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    careerDetailsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    privacyPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    privacyPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    termsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    termsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    cookiesSettingsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    cookiesSettingsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    profilePageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    profilePageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    successPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    successPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    storeDetailsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    storeDetailsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    retailerPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    retailerPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    orderPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    orderPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    myItemsPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    myItemsPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    getDirectionPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    getDirectionPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    forgotPasswordPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    forgotPasswordPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    reviewPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    reviewPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    resetPasswordPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    resetPasswordPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    invoicePageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    invoicePageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    categoryPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    categoryPageMetaDescription: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    ageVerificationPageMetaKeyword: string;

    @Column({ default: null, nullable: true, type: 'longtext' })
    ageVerificationPageMetaDescription: string;
}

