import { Controller, Get } from "@nestjs/common";
import { SchedulerService } from "./scheduler.service";
import { Constants } from "../../utils/constants";

@Controller({
    path: "scheduler",
    version: Constants.API_VERSION_1
})
export class SchedulerController {
    constructor(private readonly schedulerService: SchedulerService) {
    }

    @Get()
    testScheduler() {
        return this.schedulerService.createUpdateDutchiePlusCategory();
    }

}
